//alert("init.js loaded");

var conf = {};
var xhr = {};
var tv_Key = new Common.API.TVKeyValue();
var pluginObj = new Common.API.Plugin();
var internetConnectionCheck = null;

function alert2(txt)
{	
	try
	{
		if (typeof txt == "object")
		{
			txt = txt.toSource();
		}
		
		if (txt.indexOf("[AF") == 0)
		{
			return;
		}
	}
	catch (e)
	{
		txt = "Can't print error";
	}

	
	if ($("#logger").length == 0)
	{
		$("body").append('<div id="logger" style="position:absolute; top:0px; left:0px; width:960px; height:510px; background-color:#000; opacity:0.75; z-index:99999; color:#fff; font-size:11px; overflow:hidden;"></div>');
	}
	
	var wrapper = "<span>["+(new Date()).toLocaleTimeString()+"] "+txt+"<br /></span>";
	var spans = $("#logger span").toArray();
	if (spans.length >= 38)
	{
		spans.shift();
	}
	$("#logger").html(spans).append(wrapper);
}

function onStart()
{
    // read config file
    conf = $.parseJSON($.sf.readFile("app/conf.json"));
    
	// start checking connection
    internetConnectionCheck = new InternetConnectionCheck();
	internetConnectionCheck.init(conf.internetConnectionCheckInterval, conf.internetConnectionCheckAttemptsBeforeAlert, conf.internetConnectionCheckURL);
	
    // start application
	$.sfScene.show("Main");
	$.sfScene.focus("Main");
		
	window.onShow = function ()
	{
		// 20120405 add
		nnaviPlugin = document.getElementById("pluginObjectNNavi");
		//nnaviPlugin.SetBannerState(2); // 20120405 del
		
		pluginObj.unregistKey(tv_Key.KEY_SOURCE);
		pluginObj.unregistKey(tv_Key.KEY_SLEEP);
		pluginObj.registKey(tv_Key.KEY_MUTE); //20120405 add
		pluginObj.registKey(tv_Key.KEY_CHLIST);
	};
}

function onDestroy()
{
	//alert("onDestroy()");
    
    // clean after player
    if ($("#videoComponent").data("sfui"))
    {
        $("#videoComponent").sfVideo2("stop");
    }
    
    internetConnectionCheck.deinit();
    
    // clean after XHR requests
    $.each(xhr, function(index, value)
    {
        //alert("Freeing " + index);
        value.abortXHRObj();
        value.destroyXHRObj();
    });
}
