function GemiusStats(gemiusHitcollector, gemiusIdentifier, gemiusType, XHRObject, delay)
{
    var _gemiusHitcollector = gemiusHitcollector;
    var _gemiusIdentifier = gemiusIdentifier;
    var _gemiusType = gemiusType;
    var _XHRObject = XHRObject;
    var _delay = delay;
    var _timeout = null;
    
    this._sendHit = function ()
    {
        var url = _gemiusHitcollector.makeDynamic();
        
        var temp = "";
        
        if (arguments.length > 0 && arguments.length % 2 == 0)
        {
            temp = "TYP="+_gemiusType+"|";
            for (var i=0; i<arguments.length; i+=2)
            {
                temp += arguments[i]+"="+arguments[i+1]+"|";
            }
            temp = temp.substring(0, temp.length-1);
        }
        
        if (temp != "")
        {
            url = url.appendParam("id", _gemiusIdentifier+"/sarg="+encodeURIComponent(temp));
        }
        else
        {
            url = url.appendParam("id", _gemiusIdentifier);
        }
        
        url = url.appendParam("fr", "1"); // informacja czy skrypt znajduje się w ramce : 1-nie, 2-tak
        url = url.appendParam("fv", "-");  // wersja Flash’a użytkownika
        url = url.appendParam("tz", (new Date()).getTimezoneOffset()); // różnica przesunięcia strefy czasowej wyrażona w minutach
        url = url.appendParam("screen", "960x540"); // rozdzielczość ekranu z jaką wyświetlono badaną stronę
        url = url.appendParam("col", "24"); // liczba kolorów
        
        //alert("Sending GemiusStats Hit: " + url);
        
        _XHRObject.sendXHRRequest(url, function (result, respObj)
        {
            //alert("GemiusStats Hit Response: " + result);
        });
    };
    
    this.sendHit = function (with_delay)
    {
    	var args = Array.prototype.slice.call(arguments);
    	var caller = this;
    	
    	if (with_delay && delay)
    	{
    		_timeout = setTimeout(function()
    		{
    			caller._sendHit.apply(caller, args.slice(1));
    		}, delay);
    	}
    	else
    	{
    		caller._sendHit.apply(caller, args.slice(1));
    	}
    };
    
    this.abortHit = function ()
    {
    	//alert("Aborting GemiusStats Hit");
    	clearTimeout(_timeout);
    };
}


function RightsUpdater(rightsUpdateURL, XHRObject)
{
    var _rightsUpdateURL = rightsUpdateURL;
    var _XHRObject = XHRObject;
    
    this.sendHit = function()
    {
        var url = _rightsUpdateURL.makeDynamic();
                
        if (arguments.length > 0 && arguments.length % 2 == 0)
        {
            for (var i=0; i<arguments.length; i+=2)
            {
                url = url.appendParam(arguments[i], arguments[i+1]);
            }
        }
        
        //alert("Sending RightsUpdater Hit: " + url);
        
        _XHRObject.sendXHRRequest(url, function (result, respObj)
        {
            //alert("RightsUpdater Hit Response: " + result);
        });
    };
}


function MovieSeen(movieSeenURL, XHRObject)
{
    var _movieSeenURL = movieSeenURL;
    var _XHRObject = XHRObject;
    
    this.sendHit = function(movieID)
    {
        if (typeof movieID == "undefined")
        {
            return false;
        }
        
        var url = _movieSeenURL+movieID;
        
        //alert("Sending MovieSeen Hit: " + url);
        
        _XHRObject.sendXHRRequest(url, function (result, respObj)
        {
            //alert("MovieSeen Hit Response: " + result);
        });
    };
}


function TrackingCode(XHRObject)
{
    var _XHRObject = XHRObject;
    
    this.sendHit = function(hash)
    {        
        if (!hash)
        {
            return false;
        }
        
        var url = Base64.decode(hash).makeDynamic();
        
        //alert("Sending TrackingCode Hit: " + url);
        
        _XHRObject.sendXHRRequest(url, function (result, respObj)
        {
            //alert("TrackingCode Hit Response: " + result);
        });
    };
}